jphase.distributions

## Class DistributionManager

- java.lang.Object
- - jphase.distributions.DistributionManager

-     public class DistributionManager
      extends java.lang.Object

  This class manages the distribution used to be fitted or generated
  Author:
    Andrés Sarmiento Romero. Universidad de los Andes. (C) 2013

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.ArrayList<java.lang.String>` | `distribuciones` List of Distributions

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributionManager()` Initializes the distributions

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `umontreal.iro.lecuyer.probdist.ContinuousDistribution` | `ajustarParametros(java.lang.String distribucion, cern.colt.list.DoubleArrayList data)` Performs a fitting procedure
    `IDistribution` | `darDistribucion(java.lang.String distribucion, java.util.ArrayList<java.lang.Double> parametros)` Returns the distribution given the name and the distribution
    `java.util.ArrayList<java.lang.String>` | `darDistribuciones()` Returns the list of distributions

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### distribuciones

          public java.util.ArrayList<java.lang.String> distribuciones

      List of Distributions

  - ### Constructor Detail

    - #### DistributionManager

          public DistributionManager()

      Initializes the distributions

  - ### Method Detail

    - #### darDistribuciones

          public java.util.ArrayList<java.lang.String> darDistribuciones()

      Returns the list of distributions
      Returns:
        List of distributions

    - #### darDistribucion

          public IDistribution darDistribucion(java.lang.String distribucion,
                                      java.util.ArrayList<java.lang.Double> parametros)

      Returns the distribution given the name and the distribution
      Parameters:
        `distribucion` - Name of the distribution
        `parametros` - Parameters of the distribution
      Returns:
        The distribution

    - #### ajustarParametros

          public umontreal.iro.lecuyer.probdist.ContinuousDistribution ajustarParametros(java.lang.String distribucion,
                                                                                cern.colt.list.DoubleArrayList data)

      Performs a fitting procedure
      Parameters:
        `distribucion` - Name of the distribution
        `data` - List of parameters
      Returns:
        The distribution